GET /orgs/{org}/invitations

github.com:github-rest-api

Summary: List pending organization invitations
Operation ID: orgs/list-pending-invitations
Auth: bearer_token
Description

The return hash contains a `role` field which refers to the Organization Invitation role and will be one of the following values: `direct_member`, `admin`, `billing_manager`, or `hiring_manager`. If the invitee is not a GitHub member, the `login` field in the return hash will be `null`.

Parameters (5)

invitation_source (string, query, optional, default: all)

Filter invitations by their invitation source.

Constraints: {'enum': ['all', 'member', 'scim']}

org (string, path, required)

The organization name. The name is not case sensitive.

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

role (string, query, optional, default: all)

Filter invitations by their member role.

Constraints: {'enum': ['all', 'admin', 'direct_member', 'billing_manager', 'hiring_manager']}

No probe data for this endpoint yet.